For the complete documentation index, see llms.txt. This page is also available as Markdown.

Stop recovery mode

Stop recovery mode for a specified virtual machine.

Stop recovery mode

delete

Stop recovery mode for a specified virtual machine.

If virtual machine is not in recovery mode, this operation will fail.

Use this endpoint to exit system rescue mode and return VPS to normal operation.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
delete/api/vps/v1/virtual-machines/{virtualMachineId}/recovery
DELETE /api/vps/v1/virtual-machines/{virtualMachineId}/recovery HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?